org.springframework.web.socket.client

## Interface WebSocketClient

All Known Implementing Classes:
  AbstractWebSocketClient, JettyWebSocketClient, SockJsClient, StandardWebSocketClient

    public interface WebSocketClient

Contract for initiating a WebSocket request. As an alternative considering using the declarative style `WebSocketConnectionManager` that starts a WebSocket connection to a pre-configured URI when the application starts.

Since:
  4.0
Author:
  Rossen Stoyanchev
See Also:
  `WebSocketConnectionManager`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.springframework.util.concurrent.ListenableFuture<WebSocketSession>` `doHandshake(WebSocketHandler webSocketHandler, String uriTemplate, Object... uriVariables)`
`org.springframework.util.concurrent.ListenableFuture<WebSocketSession>` `doHandshake(WebSocketHandler webSocketHandler, WebSocketHttpHeaders headers, URI uri)`

### Method Detail

#### doHandshake

    org.springframework.util.concurrent.ListenableFuture<WebSocketSession> doHandshake(WebSocketHandler webSocketHandler,
                                                                                       String uriTemplate,
                                                                                       Object... uriVariables)

#### doHandshake

    org.springframework.util.concurrent.ListenableFuture<WebSocketSession> doHandshake(WebSocketHandler webSocketHandler,
                                                                                       @Nullable
                                                                                       WebSocketHttpHeaders headers,
                                                                                       URI uri)